#define MAX_DYNAMIC_SIZE 0x80000
static char dynamic_buffer[MAX_DYNAMIC_SIZE];
static int dynamic_pos;
static void* system_allocate(int size)
{
	int m = dynamic_pos % 8;
	if(m != 0)
		dynamic_pos += (8 - m);
	if(dynamic_pos+size > MAX_DYNAMIC_SIZE)
		dynamic_pos = 0;
	void* r = &dynamic_buffer[dynamic_pos];
	dynamic_pos += size;
	return r;
}
static void* system_reallocate(void* data, inta size, inta old_size)
{
	if(((byte*)data + old_size) == ((byte*)dynamic_buffer + dynamic_pos))
	{
		dynamic_pos += (size - old_size);
		if(dynamic_pos+size > MAX_DYNAMIC_SIZE)
		{
			memmove(dynamic_buffer, data, old_size);
			dynamic_pos = size;
			return dynamic_buffer;
		}
		return data;
	}
	void* new_data = system_allocate(size);
	memmove(new_data, data, old_size);
	return new_data;
}
void system_execute(octa* cmd)
{
	system(to_cstr(make_string((char*)cmd[0], (inta)cmd[1])));
}
inta system_time()
{
	return time(NULL);
}