#include <stdint.h>
#if defined(_WIN64) || defined(_WIN32)
#define WINDOWS_OS
#else
#define LINUX_OS
#endif
typedef unsigned char byte;
typedef uint16_t doubli;
typedef uint32_t quadro;
typedef uint64_t octa;
typedef int8_t tiny;
typedef int16_t shorti;
typedef int32_t longo;
typedef int64_t inta;
#define false 0
#define true 1

#define knormal "\x1B[0m"
#define kbold "\x1B[1m"
#define kred "\x1B[31m"
static void print_error(const char* s)
{
#ifdef LINUX_OS
	printf(kbold kred);
#endif
	printf("%s", s);
#ifdef LINUX_OS
	printf(knormal "\n");
#else
	putchar('\n');
#endif
}
