quadro texture_create();
void texture_destroy(quadro id);
void texture_bind(longo target, quadro id);
void texture_unbind(longo target);
void texture_unit(longo unit);
void texture_image_1d(longo target, longo level, longo format, longo width, longo components, longo data_type, octa data);
void texture_image_2d(longo target, longo level, longo format, longo width, longo height, longo components, longo data_type, octa data);
void texture_image_3d(longo target, longo level, longo format, longo width, longo height, longo depth, longo components, longo data_type, octa data);
void texture_buffer(longo target, longo format, quadro buffer_id);
void texture_image_2d_multisample(longo target, longo samples, longo format, longo width, longo height, byte fixed_sample_locations);
void texture_image_2d_multisample_array(longo target, longo samples, longo format, longo width, longo height, longo depth, byte fixed_sample_locations);
void texture_sub_image_1d(longo target, longo level, longo x, longo width, longo components, longo data_type, octa data);
void texture_sub_image_2d(longo target, longo level, longo x, longo y, longo width, longo height, longo components, longo data_type, octa data);
void texture_sub_image_3d(longo target, longo level, longo x, longo y, longo z, longo width, longo height, longo depth, longo components, longo data_type, octa data);
void texture_compressed_image_1d(longo target, longo level, longo format, longo width, inta size, octa data);
void texture_compressed_image_2d(longo target, longo level, longo format, longo width, longo height, inta size, octa data);
void texture_compressed_image_3d(longo target, longo level, longo format, longo width, longo height, longo depth, inta size, octa data);
void texture_compressed_sub_image_1d(longo target, longo level, longo x, longo width, longo format, inta size, octa data);
void texture_compressed_sub_image_2d(longo target, longo level, longo x, longo y, longo width, longo height, longo format, inta size, octa data);
void texture_compressed_sub_image_3d(longo target, longo level, longo x, longo y, longo z, longo width, longo height, longo depth, longo format, inta size, octa data);
void texture_copy_image_1d(longo target, longo level, longo format, longo x, longo y, longo width);
void texture_copy_image_2d(longo target, longo level, longo format, longo x, longo y, longo width, longo height);
void texture_copy_sub_image_1d(longo target, longo level, longo src_x, longo src_y, longo dst_x, longo width);
void texture_copy_sub_image_2d(longo target, longo level, longo src_x, longo src_y, longo dst_x, longo dst_y, longo width, longo height);
void texture_copy_sub_image_3d(longo target, longo level, longo src_x, longo src_y, longo dst_x, longo dst_y, longo dst_z, longo width, longo height);
void texture_parameter_wrap(longo target, longo parameter, longo value);
void texture_parameter_filter(longo target, longo parameter, longo value);
void texture_parameter_swizzle(longo target, longo r, longo g, longo b, longo a);
void texture_parameterf(longo target, longo parameter, quadro value);
void texture_parameterfa(longo target, longo parameter, octa* values);
void texture_parameteri(longo target, longo parameter, longo value);
void texture_parameteria(longo target, longo parameter, octa* values);
void texture_integer_parameteria(longo target, longo parameter, octa* values);
void texture_integer_parameterqa(longo target, longo parameter, octa* values);
void texture_generate_mipmap(longo target);
void texture_get_image(longo target, longo level, longo components, longo data_type, octa data);
//frame_buffer
quadro frame_buffer_create();
void frame_buffer_destroy(quadro id);
void frame_buffer_bind(longo target, quadro id);
void frame_buffer_unbind(longo target);
void frame_buffer_texture(longo target, longo attachment, longo buffer_index, quadro texture_id, longo level);
void frame_buffer_texture_face(longo target, longo attachment, longo buffer_index, quadro texture_id, longo level, longo face);
void frame_buffer_texture_layer(longo target, longo attachment, longo buffer_index, quadro texture_id, longo level, longo layer);
void frame_buffer_render_buffer(longo target, longo attachment, longo buffer_index, quadro render_buffer_id);
longo frame_buffer_get_status(longo target);
void frame_buffer_blit(longo srcx, longo srcy, longo srcw, longo srch, longo dstx, longo dsty, longo dstw, longo dsth, longo mask, longo filter);
//render_buffer
quadro render_buffer_create();
void render_buffer_destroy(quadro id);
void render_buffer_bind(quadro id);
void render_buffer_unbind();
void render_buffer_storage(longo format, longo width, longo height);
void render_buffer_storage_multisample(longo format, longo width, longo height, longo samples);
//shader
quadro shader_create();
void shader_destroy(quadro id);
void shader_source(octa* r, quadro id, octa* source, octa* error);
void shader_bind(quadro id);
void shader_unbind();
longo shader_get_attribute_location(quadro id, octa* name);
longo shader_get_output_location(quadro id, octa* name);
longo shader_get_uniform_location(quadro id, octa* name);
longo shader_get_uniform_block_index(quadro id, octa* name);
void shader_uniform_block_binding(quadro id, longo index, longo binding);
void shader_uniform1f(longo location, quadro x);
void shader_uniform2f(longo location, quadro x, quadro y);
void shader_uniform3f(longo location, quadro x, quadro y, quadro z);
void shader_uniform4f(longo location, quadro x, quadro y, quadro z, quadro w);
void shader_uniform1fa(longo location, longo num, octa* values);
void shader_uniform2fa(longo location, longo num, octa* values);
void shader_uniform3fa(longo location, longo num, octa* values);
void shader_uniform4fa(longo location, longo num, octa* values);
void shader_uniform1i(longo location, longo x);
void shader_uniform2i(longo location, longo x, longo y);
void shader_uniform3i(longo location, longo x, longo y, longo z);
void shader_uniform4i(longo location, longo x, longo y, longo z, longo w);
void shader_uniform1ia(longo location, longo num, octa* values);
void shader_uniform2ia(longo location, longo num, octa* values);
void shader_uniform3ia(longo location, longo num, octa* values);
void shader_uniform4ia(longo location, longo num, octa* values);
void shader_uniform1q(longo location, quadro x);
void shader_uniform2q(longo location, quadro x, quadro y);
void shader_uniform3q(longo location, quadro x, quadro y, quadro z);
void shader_uniform4q(longo location, quadro x, quadro y, quadro z, quadro w);
void shader_uniform1qa(longo location, longo num, octa* values);
void shader_uniform2qa(longo location, longo num, octa* values);
void shader_uniform3qa(longo location, longo num, octa* values);
void shader_uniform4qa(longo location, longo num, octa* values);
void shader_uniform_matrix2fa(longo location, longo num, byte transpose, octa* values);
void shader_uniform_matrix3fa(longo location, longo num, byte transpose, octa* values);
void shader_uniform_matrix4fa(longo location, longo num, byte transpose, octa* values);
void shader_uniform_matrix2x3fa(longo location, longo num, byte transpose, octa* values);
void shader_uniform_matrix3x2fa(longo location, longo num, byte transpose, octa* values);
void shader_uniform_matrix2x4fa(longo location, longo num, byte transpose, octa* values);
void shader_uniform_matrix4x2fa(longo location, longo num, byte transpose, octa* values);
void shader_uniform_matrix3x4fa(longo location, longo num, byte transpose, octa* values);
void shader_uniform_matrix4x3fa(longo location, longo num, byte transpose, octa* values);
//buffers
quadro buffer_create();
void buffer_destroy(quadro id);
void buffer_bind(longo target, quadro id);
void buffer_unbind(longo target);
void buffer_bind_base(longo target, longo index, quadro id);
void buffer_bind_range(longo target, longo index, quadro id, inta offset, inta size);
void buffer_data(longo target, inta size, octa data, longo usage);
void buffer_sub_data(longo target, inta offset, inta size, octa data);
void buffer_map(octa* r, longo target, inta size, longo access);
byte buffer_unmap(longo target);
void buffer_copy_sub_data(longo read_target, longo write_target, inta read_offset, inta write_offset, inta size);
//vertex arrays
quadro vertex_array_create();
void vertex_array_destroy(quadro id);
void vertex_array_bind(quadro id);
void vertex_array_unbind();
//pipeline
void pipeline_clear(longo buffer_flags);
void pipeline_clear_color(quadro r, quadro g, quadro b, quadro a);
void pipeline_clear_stencil(byte value);
void pipeline_clear_depth(quadro depth);
void pipeline_depth_enable(byte enable);
void pipeline_depth_func(longo func);
void pipeline_depth_mask(byte mask);
void pipeline_depth_clamp(byte clamp);
void pipeline_depth_range(quadro near, quadro far);
void pipeline_stencil_enable(byte enable);
void pipeline_stencil_func(longo func, byte ref, byte mask);
void pipeline_stencil_op(longo sfail, longo dpfail, longo dppass);
void pipeline_stencil_mask(byte mask);
void pipeline_stencil_func_separate(longo face, longo func, byte ref, byte mask);
void pipeline_stencil_op_separate(longo face, longo sfail, longo dpfail, longo dppass);
void pipeline_stencil_mask_separate(longo face, byte mask);
void pipeline_blend_enable(byte enable);
void pipeline_blend_factor(longo src, longo dst);
void pipeline_blend_equation(longo equation);
void pipeline_blend_factor_separate(longo src_rgb, longo dst_rgb, longo src_alpha, longo dst_alpha);
void pipeline_blend_equation_separate(longo equation_rgb, longo equation_alpha);
void pipeline_blend_color(quadro r, quadro g, quadro b, quadro a);
void pipeline_color_clamp(byte clamp);
void pipeline_color_mask(byte r, byte g, byte b, byte a);
void pipeline_logic_enable(byte enable);
void pipeline_logic_op(longo op);
void pipeline_cull_enable(byte enable);
void pipeline_cull_face(longo face);
void pipeline_cull_orientation(byte ccw);
void pipeline_polygon_mode(longo face, longo mode);
void pipeline_viewport(longo x, longo y, longo width, longo height);
void pipeline_scissor_enable(byte enable);
void pipeline_scissor_rect(longo x, longo y, longo width, longo height);
void pipeline_point_shader_enable(byte enable);
void pipeline_point_size(quadro size);
void pipeline_point_coord_origin(longo origin);
void pipeline_point_fade_threshold_size(quadro size);
void pipeline_primitive_restart_enable(byte enable);
void pipeline_primitive_restart_index(longo index);
void pipeline_clip_plane_enable(longo index, byte enable);
void pipeline_multisample_enable(byte enable);
void pipeline_present();
void pipeline_finish();
void pipeline_draw_buffers(octa* buffers);
void pipeline_read_buffer(longo buffer_index);
void pipeline_pixel_store(longo parameter, longo value);
void pipeline_read_pixels(longo x, longo y, longo width, longo height, longo components, longo data_type, octa data);
tiny pipeline_get_error();
//attributes
void attribute_enable(longo index, byte enable);
void attribute_format(longo index, longo num_components, longo data_type, byte normalized, longo stride, longo pos);
void attribute_integer_format(longo index, longo num_components, longo data_type, longo stride, longo pos);
void attribute_divisor(longo index, longo divisor);
//drawing commands
void draw_arrays(longo primitive, longo start, longo num_indices, longo num_instances);
void draw_elements(longo primitive, longo data_type, longo start, longo num_indices, longo base_vertex, longo num_instances);
