#define ALLOC system_allocate
#define REALLOC system_reallocate
static void* system_allocate(int size);
static void* system_reallocate(void* data, inta size, inta old_size);

inta system_time();
void system_execute(octa* command);
void system_init(byte flags);
void system_release();
inta system_performance_counter();
inta system_performance_frequency();
void system_sleep(inta time);
inta system_ticks();
octa system_load_library(octa* file_name);
octa system_load_function(octa h, octa* name);
void system_unload_library(octa h);
byte display_open(longo w, longo h, octa* title, doubli flags, longo num_samples);
void display_close();
void display_get_info(quadro* r);
void display_set_vsync(byte vsync);
void display_set_size(longo w, longo h);
void display_set_title(octa* title);
void display_set_icon(longo w, longo h, octa pixels);
void display_set_content(longo w, longo h, octa pixels);
void display_set_visible(byte visible);
void display_set_border(byte border);
void display_set_fullscreen(byte fullscreen);
void display_set_grab(byte grab);
void display_set_software_graphics(byte software_graphics);
void display_maximize();
void display_minimize();
void display_restore();
byte display_is_minimized();
byte display_is_maximized();
byte display_is_restored();
byte display_is_entered();
byte display_is_left();
byte display_is_focus_gained();
byte display_is_focus_lost();
byte display_is_closed();
byte display_is_resized(longo* new_width, longo* new_height);
void display_file_dropped(octa* r);
void screensaver_enable(byte screensaver);
void show_simple_message_box(byte icon, octa* title, octa* message);
void input_poll();
byte input_last_pressed_key();
byte input_last_released_key();
byte input_last_pressed_mouse_button();
byte input_last_released_mouse_button();
byte input_key_is_pressed(byte key);
byte input_key_is_released(byte key);
byte input_key_is_held(byte key);
byte input_key_is_typed(byte key);
void input_key_held_state(octa* r);
void input_key_pressed_state(octa* r);
void input_key_released_state(octa* r);
byte input_key_modifiers();
void input_text_enable(byte enable);
void input_text_rect(longo x, longo y, longo w, longo h);
void input_text_typed(octa* r);
void input_text_edited(octa* r, longo* start, longo* length);
byte input_mouse_is_pressed(byte button);
byte input_mouse_is_released(byte button);
byte input_mouse_is_held(byte button);
longo input_mouse_wheel();
void input_mouse_moved(longo* x, longo* y);
void input_mouse_held_state(octa* r);
void input_mouse_pressed_state(octa* r);
void input_mouse_released_state(octa* r);
void input_mouse_position(longo* x, longo* y);
void input_mouse_global_position(longo* x, longo* y);
void input_mouse_set_visible(byte visible);
void input_mouse_set_relative(byte relative);
void input_mouse_set_position(longo x, longo y);
void input_mouse_set_global_position(longo x, longo y);
void input_mouse_set_cursor(byte cursor);
byte input_mouse_is_haptic();
byte controller_is_added(longo* index);
byte controller_is_removed(octa* controller);
inta controller_num();
void controller_name_for_index(octa* r, longo index);
octa controller_open(longo index);
void controller_close(octa c);
void controller_name(octa* r, octa c);
longo controller_num_axes(octa c);
longo controller_num_buttons(octa c);
longo controller_num_balls(octa c);
longo controller_num_hats(octa c);
byte controller_is_connected(octa c);
byte controller_power(octa c);
byte controller_button(octa c, longo button);
shorti controller_axis(octa c, longo axis);
void controller_ball(octa c, longo ball, longo* x, longo* y);
byte controller_hat(octa c, longo hat);
byte controller_is_haptic(octa c);
octa haptic_open_controller(octa c);
octa haptic_open_mouse();
void haptic_close(octa h);
byte haptic_has_rumble(octa h);
byte haptic_init_rumble(octa h);
void haptic_play_rumble(octa h, quadro strength, inta length);
void haptic_stop_rumble(octa h);
void clipboard_set_buffer(inta size, octa data);
void clipboard_set_buffer_position(inta pos);
inta clipboard_get_buffer_position();
void clipboard_get(octa* r);
void clipboard_set(octa* s);
byte audio_open(byte format, longo num_channels, longo sample_rate, longo num_samples, void (*callback)(void*,byte*,int), octa userdata);
void audio_play();
void audio_pause();
void audio_close();
void audio_lock();
void audio_unlock();
byte audio_recorder_open(byte format, longo num_channels, longo sample_rate, longo num_samples, void (*callback)(void*,byte*,int), octa userdata);
void audio_recorder_record();
void audio_recorder_pause();
void audio_recorder_close();
void audio_recorder_lock();
void audio_recorder_unlock();
octa thread_create(longo (*thread_proc)(void*), octa data);
void thread_detach(octa thread);
void thread_wait(octa thread, longo* return_value);
void thread_set_priority(byte priority);
longo thread_current_id();
longo thread_id(octa thread);
octa cond_create();
void cond_destroy(octa cond);
void cond_broadcast(octa cond);
void cond_signal(octa cond);
void cond_wait(octa cond, octa m);
byte cond_wait_timeout(octa cond, octa m, inta timeout);
octa mutex_create();
void mutex_destroy(octa m);
void mutex_lock(octa m);
byte mutex_trylock(octa m);
void mutex_unlock(octa m);
octa semaphore_create(quadro value);
void semaphore_destroy(octa s);
void semaphore_post(octa s);
byte semaphore_trywait(octa s);
void semaphore_wait(octa s);
byte semaphore_wait_timeout(octa s, inta timeout);
quadro semaphore_value(octa s);
longo atomic_set(longo* atomic, longo value);
octa atomic_set_ptr(octa* atomic, octa value);
longo atomic_get(longo* atomic);
octa atomic_get_ptr(octa* atomic);
longo atomic_add(longo* atomic, longo value);
void atomic_inc_ref(longo* atomic);
byte atomic_dec_ref(longo* atomic);
byte atomic_cas(longo* atomic, longo oldvalue, longo newvalue);
byte atomic_cas_ptr(octa* atomic, octa oldvalue, octa newvalue);
void atomic_lock(longo* atomic);
byte atomic_trylock(longo* atomic);
void atomic_unlock(longo* atomic);
void atomic_compiler_barrier();
void network_address_find(doubli* r, octa* name, doubli port, byte flags);
void network_address_get_ip(octa* r, doubli* addr);
doubli network_address_get_port(doubli* addr);
octa network_socket_create(byte flags);
void network_socket_destroy(octa s);
byte network_socket_failed(octa s);
byte network_socket_set_blocking(octa s, byte blocking);
byte network_socket_bind(octa s, doubli* addr);
byte network_tcp_connect(octa s, doubli* dest_addr);
void network_tcp_disconnect(octa s);
inta network_tcp_send(octa s, inta size, octa data);
inta network_tcp_receive(octa s, inta size, octa data);
byte network_tcp_listen(octa s);
octa network_tcp_accept(octa s, doubli* out_address);
inta network_udp_send(octa s, inta size, octa data, doubli* dest_addr);
inta network_udp_receive(octa s, inta size, octa data, doubli* src_addr);
longo network_selector_create();
void network_selector_destroy(longo sel);
byte network_selector_failed(longo sel);
void network_selector_add(longo sel, octa s);
void network_selector_remove(longo sel, octa s);
inta network_selector_wait(longo sel, inta timeout, octa* ready_sockets);
